apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Max Bowsher" <m...@ukf.net>
Subject Re: [PATCH] Stop installing apr-config, and give clients an APR_FIND_APR that works with apr-1-config.
Date Fri, 16 Jul 2004 16:02:53 GMT
William A. Rowe, Jr. wrote:
> At 04:11 AM 7/16/2004, Max Bowsher wrote:
>> 4) Because there is no sensible default. [1 0] implies that a project
should
>> work with either. Unless project maintainers decide to maintain testing
of
>> both versions, the secondary choice may well get stale.
>> Defaulting to [1] will result in projects that don't even consider
whether
>> they can work with apr-0. And [0] is clearly useless.
>
> No, [0] as default means the app was built for an older APR_FIND_APR,
> e.g. 0.9 - and every modern user can choose between [1] and [0 1]
> depending on the amount of compatibility effort.
>
> Anyone trusting that a shared apr_find.m4 installed in aclocal.m4 does the
> 'right thing' needs the reassurance that svn, apache etc will pick apr 0.

True.

And since svn, apache, etc. would need to manually import the new
find_apr.m4 or rewrite their build system to use aclocal to get the new
macro, it's not worth making this a default, when doing so sacrifices the
guarantee that careless upgraders will be forced to notice this change.

Max.


Mime
View raw message